Error installing / upgrading ESPHome

The most recent upgrade of ESPHome to 2022.3.0 failed. I tried removing and reinstalling, but the install also won’t work. This is the current error message, and I’m not sure what to do next:

Can’t install esphome/esphome-hassio-aarch64:2022.3.0: 500 Server Error for http+docker://localhost/v1.41/images/create?tag=2022.3.0&fromImage=esphome%2Fesphome-hassio-aarch64&platform=linux%2Farm64: Internal Server Error (“Head “https://registry-1.docker.io/v2/esphome/esphome-hassio-aarch64/manifests/2022.3.0”: Get “https://auth.docker.io/token?scope=repository%3Aesphome%2Fesphome-hassio-aarch64%3Apull&service=registry.docker.io”: unexpected EOF”)

Welcome to the forum.

Where do you see this message?

You mention you are trying to update. What are you updating from?

Thanks… yeah, first post, so I’m probably missing a ton of info here. :slight_smile:

I’ve been running Home Assistant for 2-3 years now, currently on the Home Assistant Blue hardware. I’m on the latest Home Assistant 2022.3.5, and I take all the updates as they appear on the Configuration panel. The update for ESPHome showed up, so I was on the latest 2022.2 I think maybe 2022.2.6 ?

I originally clicked on the update notification in the HA config panel. After a number of failure messages there, I uninstalled ESPHome and am trying to install it from the Addons panel now. No matter what I’ve tried, I’ve received this error.

I’ll admit to being a ESPHome newbie, so I was just counting on the high level of integration between Home Assistant and ESPHome to cover for my newbie-ness, but this one has me stumped. Thanks again (in advance) for any help you can offer.

Ok, I just got a similar error upgrading another addon (Z-Wave JS), so the issue is in HA, not ESPHome. Thanks anyway.

I know this thread is an old one, but @Sp8ceman have you ever resolved that issue?

My installation started to having the same issue, but for other addons (Let’s Encrypt and Samba Share).

Logs
Logger: homeassistant.components.websocket_api.http.connection
Source: components/hassio/update.py:169
Integration: Home Assistant WebSocket API (documentation, issues)
First occurred: June 24, 2023 at 6:58:33 AM (1 occurrences)
Last logged: June 24, 2023 at 6:58:33 AM

[139671053459408] Error updating Let's Encrypt: Can't install homeassistant/amd64-addon-letsencrypt:4.12.9: 500 Server Error for http+docker://localhost/v1.43/images/create?tag=4.12.9&fromImage=homeassistant%2Famd64-addon-letsencrypt&platform=linux%2Famd64: Internal Server Error ("Get "https://registry-1.docker.io/v2/": EOF")
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/hassio/update.py", line 167, in async_install
    await async_update_addon(self.hass, slug=self._addon_slug, backup=backup)
  File "/usr/src/homeassistant/homeassistant/components/hassio/handler.py", line 52, in _wrapper
    raise HassioAPIError(data["message"])
homeassistant.components.hassio.handler.HassioAPIError: Can't install homeassistant/amd64-addon-letsencrypt:4.12.9: 500 Server Error for http+docker://localhost/v1.43/images/create?tag=4.12.9&fromImage=homeassistant%2Famd64-addon-letsencrypt&platform=linux%2Famd64: Internal Server Error ("Get "https://registry-1.docker.io/v2/": EOF")

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/websocket_api/commands.py", line 205, in handle_call_service
    await hass.services.async_call(
  File "/usr/src/homeassistant/homeassistant/core.py", line 1910, in async_call
    task.result()
  File "/usr/src/homeassistant/homeassistant/core.py", line 1950, in _execute_service
    await cast(Callable[[ServiceCall], Awaitable[None]], handler.job.target)(
  File "/usr/src/homeassistant/homeassistant/helpers/entity_component.py", line 226, in handle_service
    await service.entity_service_call(
  File "/usr/src/homeassistant/homeassistant/helpers/service.py", line 811, in entity_service_call
    future.result()  # pop exception if have
    ^^^^^^^^^^^^^^^
  File "/usr/src/homeassistant/homeassistant/helpers/entity.py", line 1034, in async_request_call
    await coro
  File "/usr/src/homeassistant/homeassistant/helpers/service.py", line 851, in _handle_entity_call
    await result
  File "/usr/src/homeassistant/homeassistant/components/update/__init__.py", line 156, in async_install
    await entity.async_install_with_progress(version, backup)
  File "/usr/src/homeassistant/homeassistant/components/update/__init__.py", line 417, in async_install_with_progress
    await self.async_install(version, backup)
  File "/usr/src/homeassistant/homeassistant/components/hassio/update.py", line 169, in async_install
    raise HomeAssistantError(f"Error updating {self.title}: {err}") from err
homeassistant.exceptions.HomeAssistantError: Error updating Let's Encrypt: Can't install homeassistant/amd64-addon-letsencrypt:4.12.9: 500 Server Error for http+docker://localhost/v1.43/images/create?tag=4.12.9&fromImage=homeassistant%2Famd64-addon-letsencrypt&platform=linux%2Famd64: Internal Server Error ("Get "https://registry-1.docker.io/v2/": EOF")

Edit 2023-06-28: This might not be a solution for everybody, but I switched from a supervised docker deployment to a virtualized Home Assistant Operating System deployment. Now the updates work flawlessly again.